View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012527ParaView(No Category)public2011-08-16 10:152012-02-08 17:27
ReporterUtkarsh Ayachit 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.12 
Summary0012527: Xdmf duplicates data when reading unstructured grids in parallel
DescriptionXdmf duplicates data when reading unstructured grids in parallel

Refer to mailing list discussion:
http://markmail.org/thread/2haanttypbrya6gv#query:+page:1+mid:ykc7yfb3upqavmgk+state:results [^]
TagsNo tags attached.
ProjectKitware
Topic Name12527_fix_parallel_xdmf_reader_bug
Typeincorrect functionality
Attached Filesgz file icon xdmf.tar.gz [^] (1,242,526 bytes) 2011-08-16 10:21
tgz file icon xdmf_missing_pieces.tgz [^] (1,271,723 bytes) 2011-08-18 11:53

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0027365)
Utkarsh Ayachit (administrator)
2011-08-16 10:20

Xdmf Commit:
---------------------------

commit c5c8fdee2a180669bcb5c0260e53e5f477da1408
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Tue Aug 16 10:16:09 2011 -0400

    Fixed BUG 0012527. Fixed parallel read issue for unstructured grids.
    
    Fixed the reader to only read unstructure grids on root node when reading in
    parallel. For structured grids, the update extents are respected. While for
    composite datasets, we distribute the leaves among processes.
(0027389)
Utkarsh Ayachit (administrator)
2011-08-18 11:51

commit e330b5350fe11966d283fd1c90a94a7555f8bfb3
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Thu Aug 18 11:46:50 2011 -0400

    Fixed bug in previous commit for BUG 0012527.
    
    The reader was skipping reading unstructured grid even in the case where there
    were multiple grids under the top-most grid. Fixed that.
(0027390)
Utkarsh Ayachit (administrator)
2011-08-18 11:53

Use xdmf_missing_pieces.tgz to test blocks are loaded correctly in Parallel.
(0027399)
Utkarsh Ayachit (administrator)
2011-08-19 16:49

merged into master.
(0028188)
Utkarsh Ayachit (administrator)
2012-02-08 17:27

Closing bugs sitting in "customer review" for a long time.

- Issue History
Date Modified Username Field Change
2011-08-16 10:15 Utkarsh Ayachit New Issue
2011-08-16 10:15 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2011-08-16 10:20 Utkarsh Ayachit Topic Name => 12527_fix_parallel_xdmf_reader_bug
2011-08-16 10:20 Utkarsh Ayachit Note Added: 0027365
2011-08-16 10:20 Utkarsh Ayachit Status backlog => gatekeeper review
2011-08-16 10:20 Utkarsh Ayachit Fixed in Version => 3.12
2011-08-16 10:20 Utkarsh Ayachit Resolution open => fixed
2011-08-16 10:21 Utkarsh Ayachit File Added: xdmf.tar.gz
2011-08-18 11:51 Utkarsh Ayachit Note Added: 0027389
2011-08-18 11:53 Utkarsh Ayachit File Added: xdmf_missing_pieces.tgz
2011-08-18 11:53 Utkarsh Ayachit Note Added: 0027390
2011-08-19 16:49 Utkarsh Ayachit Status gatekeeper review => customer review
2011-08-19 16:49 Utkarsh Ayachit Note Added: 0027399
2012-02-08 17:27 Utkarsh Ayachit Status customer review => closed
2012-02-08 17:27 Utkarsh Ayachit Note Added: 0028188


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker